<?PHP 
$checkZ="check-devicedata.inc.php";
include("./../function/datacheck_copy.inc.php");

$Xownip="";$Xserverip="";
$Xownip=$_SERVER['REMOTE_ADDR'];
$checkuseragent=$_SERVER['HTTP_USER_AGENT'];
$checklanguage=htmlspecialchars($_SERVER['HTTP_ACCEPT_LANGUAGE']);

$agent=$_SERVER['HTTP_USER_AGENT'];
$agent=str_replace("; ","\n",$agent);
$agent=str_replace("(","",$agent);
$agent=str_replace(")","",$agent);
$agent=str_replace("compatible","\ncompatible",$agent);
$agent=str_replace("Gecko","\nGecko",$agent);
$agent=str_replace("Firefox","\nFirefox",$agent);
$tmpfile="./../tmp/check-devicedata.inc.php";
$handle=fopen($tmpfile, "w");
fwrite($handle,$agent);
fclose($handle);

function os() {
$agent=$_SERVER['HTTP_USER_AGENT'];
$os="";
if (strstr($agent,"Windows 98")) $os="Windows 98";
elseif (strstr($agent,"NT 4.0")) $os="Windows NT";
elseif (strstr($agent,"NT 5.0")) $os="Windows 2000";
elseif (strstr($agent,"NT 5.1")) $os="Windows XP";
elseif (strstr($agent,"NT 6.0")) $os="Windows Vista";
elseif (strstr($agent,"NT 6.1")) $os="Windows 7";
elseif (strstr($agent,"NT 10.0")) $os="Windows 10";
elseif (strstr($agent,"Win")) $os="Windows";
elseif (strstr($agent,"Mac")) $os="Mac OS";
elseif (strstr($agent,"Android 9")) $os="Android 9";
elseif (strstr($agent,"Android 8.1")) $os="Android 8.1";
elseif (strstr($agent,"Android 8.0")) $os="Android 8.0";
elseif (strstr($agent,"Android 8")) $os="Android 8";
elseif (strstr($agent,"Android 7.1.2")) $os="Android 7.1.2";
elseif (strstr($agent,"Android 7.1.1")) $os="Android 7.1.1";
elseif (strstr($agent,"Android 7.1")) $os="Android 7.1";
elseif (strstr($agent,"Android 7.0")) $os="Android 7.0";
elseif (strstr($agent,"Android 7")) $os="Android 7";
elseif (strstr($agent,"Android 6.0.1")) $os="Android 6.0.1";
elseif (strstr($agent,"Android 6.0")) $os="Android 6.0";
elseif (strstr($agent,"Android 5.1.1")) $os="Android 5.1.1";
elseif (strstr($agent,"Android 5.1")) $os="Android 5.1";
elseif (strstr($agent,"Android 5.0.2")) $os="Android 5.0.2";
elseif (strstr($agent,"Android 5.0.1")) $os="Android 5.0.1";
elseif (strstr($agent,"Android 5.0")) $os="Android 5.0";
elseif (strstr($agent,"Android 4.4")) $os="Android 4.4";
elseif (strstr($agent,"Android 4.3")) $os="Android 4.3";
elseif (strstr($agent,"Android 4.2")) $os="Android 4.2";
elseif (strstr($agent,"Android 4.1")) $os="Android 4.1";
elseif (strstr($agent,"Android 2.4")) $os="Android 2.4";
elseif (strstr($agent,"Android 2.3")) $os="Android 2.3";
elseif (strstr($agent,"Android 2.2")) $os="Android 2.2";
elseif (strstr($agent,"Android")) $os="Android";
elseif (strstr($agent,"Linux")) $os="Linux";
elseif (strstr($agent,"Unix")) $os="Unix";
return $os;
}

function browser() {
$agent=$_SERVER['HTTP_USER_AGENT'];
$browser="";
if (strstr($agent,"Mobile Safari/53")) $browser="Android Webkit Browser";
elseif (strstr($agent,"Mobile Safari")) $browser="Android Webkit Browser";
elseif (strstr($agent,"Opera Mobi")) $browser="Opera Mobile";
elseif (strstr($agent,"PLAYSTATION 4")) $browser="Playstation 4";
elseif (strstr($agent,"PLAYSTATION 3")) $browser="Playstation 3";
elseif (strstr($agent,"wii libnup")) $browser="Wii";
elseif (strstr($agent,"Edge/25")) $browser="Edge 25";
elseif (strstr($agent,"Edge/24")) $browser="Edge 24";
elseif (strstr($agent,"Edge/23")) $browser="Edge 23";
elseif (strstr($agent,"Edge/22")) $browser="Edge 22";
elseif (strstr($agent,"Edge/21")) $browser="Edge 21";
elseif (strstr($agent,"Edge/20")) $browser="Edge 20";
elseif (strstr($agent,"Edge/19")) $browser="Edge 19";
elseif (strstr($agent,"Edge/18")) $browser="Edge 18";
elseif (strstr($agent,"Edge/17")) $browser="Edge 17";
elseif (strstr($agent,"Edge/16")) $browser="Edge 16";
elseif (strstr($agent,"Edge/15")) $browser="Edge 15";
elseif (strstr($agent,"Edge/14")) $browser="Edge 14";
elseif (strstr($agent,"Edge/13")) $browser="Edge 13";
elseif (strstr($agent,"Edge/12")) $browser="Edge 12";
elseif (strstr($agent,"Edge/11")) $browser="Edge 11";
elseif (strstr($agent,"MSIE 11")) $browser="Internet Explorer 11";
elseif (strstr($agent,"MSIE 10.6")) $browser="Internet Explorer 10.6";
elseif (strstr($agent,"MSIE 10")) $browser="Internet Explorer 10";
elseif (strstr($agent,"MSIE 9")) $browser="Internet Explorer 9";
elseif (strstr($agent,"MSIE 8")) $browser="Internet Explorer 8";
elseif (strstr($agent,"MSIE 7")) $browser="Internet Explorer 7";
elseif (strstr($agent,"MSIE 6")) $browser="Internet Explorer 6";
elseif (strstr($agent,"MSIE 5")) $browser="Internet Explorer 5";
elseif (strstr($agent,"Firefox/70")) $browser="Firefox 70";
elseif (strstr($agent,"Firefox/69")) $browser="Firefox 69";
elseif (strstr($agent,"Firefox/68")) $browser="Firefox 68";
elseif (strstr($agent,"Firefox/67")) $browser="Firefox 67";
elseif (strstr($agent,"Firefox/66")) $browser="Firefox 66";
elseif (strstr($agent,"Firefox/65")) $browser="Firefox 65";
elseif (strstr($agent,"Firefox/64")) $browser="Firefox 64";
elseif (strstr($agent,"Firefox/63")) $browser="Firefox 63";
elseif (strstr($agent,"Firefox/62")) $browser="Firefox 62";
elseif (strstr($agent,"Firefox/61")) $browser="Firefox 61";
elseif (strstr($agent,"Firefox/60")) $browser="Firefox 60";
elseif (strstr($agent,"Firefox/59")) $browser="Firefox 59";
elseif (strstr($agent,"Firefox/58")) $browser="Firefox 58";
elseif (strstr($agent,"Firefox/57")) $browser="Firefox 57";
elseif (strstr($agent,"Firefox/56")) $browser="Firefox 56";
elseif (strstr($agent,"Firefox/55")) $browser="Firefox 55";
elseif (strstr($agent,"Firefox/54")) $browser="Firefox 54";
elseif (strstr($agent,"Firefox/53")) $browser="Firefox 53";
elseif (strstr($agent,"Firefox/52")) $browser="Firefox 52";
elseif (strstr($agent,"Firefox/51")) $browser="Firefox 51";
elseif (strstr($agent,"Firefox/50")) $browser="Firefox 50";
elseif (strstr($agent,"Firefox/49")) $browser="Firefox 49";
elseif (strstr($agent,"Firefox/48")) $browser="Firefox 48";
elseif (strstr($agent,"Firefox/47")) $browser="Firefox 47";
elseif (strstr($agent,"Firefox/46")) $browser="Firefox 46";
elseif (strstr($agent,"Firefox/45")) $browser="Firefox 45";
elseif (strstr($agent,"Firefox/44")) $browser="Firefox 44";
elseif (strstr($agent,"Firefox/43")) $browser="Firefox 43";
elseif (strstr($agent,"Firefox/42")) $browser="Firefox 42";
elseif (strstr($agent,"Firefox/41")) $browser="Firefox 41";
elseif (strstr($agent,"Firefox/40")) $browser="Firefox 40";
elseif (strstr($agent,"Firefox/39")) $browser="Firefox 39";
elseif (strstr($agent,"Firefox/38")) $browser="Firefox 38";
elseif (strstr($agent,"Firefox/37")) $browser="Firefox 37";
elseif (strstr($agent,"Firefox/36")) $browser="Firefox 36";
elseif (strstr($agent,"Firefox/35")) $browser="Firefox 35";
elseif (strstr($agent,"Firefox/34")) $browser="Firefox 34";
elseif (strstr($agent,"Firefox/33")) $browser="Firefox 33";
elseif (strstr($agent,"Firefox/32")) $browser="Firefox 32";
elseif (strstr($agent,"Firefox/31")) $browser="Firefox 31";
elseif (strstr($agent,"Firefox/30")) $browser="Firefox 30";
elseif (strstr($agent,"Firefox/29")) $browser="Firefox 29";
elseif (strstr($agent,"Firefox/28")) $browser="Firefox 28";
elseif (strstr($agent,"Firefox/27")) $browser="Firefox 27";
elseif (strstr($agent,"Firefox/26")) $browser="Firefox 26";
elseif (strstr($agent,"Firefox/25")) $browser="Firefox 25";
elseif (strstr($agent,"Firefox/24")) $browser="Firefox 24";
elseif (strstr($agent,"Firefox/23")) $browser="Firefox 23";
elseif (strstr($agent,"Firefox/22")) $browser="Firefox 22";
elseif (strstr($agent,"Firefox/21")) $browser="Firefox 21";
elseif (strstr($agent,"Firefox/20")) $browser="Firefox 20";
elseif (strstr($agent,"Firefox/19")) $browser="Firefox 19";
elseif (strstr($agent,"Firefox/18")) $browser="Firefox 18";
elseif (strstr($agent,"Firefox/17")) $browser="Firefox 17";
elseif (strstr($agent,"Firefox/16")) $browser="Firefox 16";
elseif (strstr($agent,"Firefox/15")) $browser="Firefox 15";
elseif (strstr($agent,"Firefox/14")) $browser="Firefox 14";
elseif (strstr($agent,"Firefox/13")) $browser="Firefox 13";
elseif (strstr($agent,"Firefox/12")) $browser="Firefox 12";
elseif (strstr($agent,"Firefox/11")) $browser="Firefox 11";
elseif (strstr($agent,"Firefox/10")) $browser="Firefox 10";
elseif (strstr($agent,"Firefox/9")) $browser="Firefox 9";
elseif (strstr($agent,"Firefox/6")) $browser="Firefox 6";
elseif (strstr($agent,"Firefox/5")) $browser="Firefox 5";
elseif (strstr($agent,"Firefox/4")) $browser="Firefox 4";
elseif (strstr($agent,"Firefox/3.8")) $browser="Firefox 3.8";
elseif (strstr($agent,"Firefox/3.6")) $browser="Firefox 3.6";
elseif (strstr($agent,"Firefox/3.5")) $browser="Firefox 3.5";
elseif (strstr($agent,"Firefox/3.1")) $browser="Firefox 3.1";
elseif (strstr($agent,"Firefox/3")) $browser="Firefox 3";
elseif (strstr($agent,"Firefox/2")) $browser="Firefox 2";
elseif (strstr($agent,"Firefox/1")) $browser="Firefox 1";
elseif (strstr($agent,"Firefox")) $browser="Firefox";
elseif (strstr($agent,"Chrome/80")) $browser="Chrome 80";
elseif (strstr($agent,"Chrome/79")) $browser="Chrome 79";
elseif (strstr($agent,"Chrome/78")) $browser="Chrome 78";
elseif (strstr($agent,"Chrome/77")) $browser="Chrome 77";
elseif (strstr($agent,"Chrome/76")) $browser="Chrome 76";
elseif (strstr($agent,"Chrome/75")) $browser="Chrome 75";
elseif (strstr($agent,"Chrome/74")) $browser="Chrome 74";
elseif (strstr($agent,"Chrome/73")) $browser="Chrome 73";
elseif (strstr($agent,"Chrome/72")) $browser="Chrome 72";
elseif (strstr($agent,"Chrome/71")) $browser="Chrome 71";
elseif (strstr($agent,"Chrome/70")) $browser="Chrome 70";
elseif (strstr($agent,"Chrome/69")) $browser="Chrome 69";
elseif (strstr($agent,"Chrome/68")) $browser="Chrome 68";
elseif (strstr($agent,"Chrome/67")) $browser="Chrome 67";
elseif (strstr($agent,"Chrome/66")) $browser="Chrome 66";
elseif (strstr($agent,"Chrome/65")) $browser="Chrome 65";
elseif (strstr($agent,"Chrome/64")) $browser="Chrome 64";
elseif (strstr($agent,"Chrome/63")) $browser="Chrome 63";
elseif (strstr($agent,"Chrome/62")) $browser="Chrome 62";
elseif (strstr($agent,"Chrome/61")) $browser="Chrome 61";
elseif (strstr($agent,"Chrome/60")) $browser="Chrome 60";
elseif (strstr($agent,"Chrome/59")) $browser="Chrome 59";
elseif (strstr($agent,"Chrome/58")) $browser="Chrome 58";
elseif (strstr($agent,"Chrome/57")) $browser="Chrome 57";
elseif (strstr($agent,"Chrome/56")) $browser="Chrome 56";
elseif (strstr($agent,"Chrome/55")) $browser="Chrome 55";
elseif (strstr($agent,"Chrome/54")) $browser="Chrome 54";
elseif (strstr($agent,"Chrome/53")) $browser="Chrome 53";
elseif (strstr($agent,"Chrome/52")) $browser="Chrome 52";
elseif (strstr($agent,"Chrome/51")) $browser="Chrome 51";
elseif (strstr($agent,"Chrome/50")) $browser="Chrome 50";
elseif (strstr($agent,"Chrome/49")) $browser="Chrome 49";
elseif (strstr($agent,"Chrome/48")) $browser="Chrome 48";
elseif (strstr($agent,"Chrome/47")) $browser="Chrome 47";
elseif (strstr($agent,"Chrome/46")) $browser="Chrome 46";
elseif (strstr($agent,"Chrome/45")) $browser="Chrome 45";
elseif (strstr($agent,"Chrome/44")) $browser="Chrome 44";
elseif (strstr($agent,"Chrome/43")) $browser="Chrome 43";
elseif (strstr($agent,"Chrome/42")) $browser="Chrome 42";
elseif (strstr($agent,"Chrome/41")) $browser="Chrome 41";
elseif (strstr($agent,"Chrome/40")) $browser="Chrome 40";
elseif (strstr($agent,"Chrome/39")) $browser="Chrome 39";
elseif (strstr($agent,"Chrome/38")) $browser="Chrome 38";
elseif (strstr($agent,"Chrome/37")) $browser="Chrome 37";
elseif (strstr($agent,"Chrome/36")) $browser="Chrome 36";
elseif (strstr($agent,"Chrome/35")) $browser="Chrome 35";
elseif (strstr($agent,"Chrome/34")) $browser="Chrome 34";
elseif (strstr($agent,"Chrome/33")) $browser="Chrome 33";
elseif (strstr($agent,"Chrome/32")) $browser="Chrome 32";
elseif (strstr($agent,"Chrome/31")) $browser="Chrome 31";
elseif (strstr($agent,"Chrome/30")) $browser="Chrome 30";
elseif (strstr($agent,"Chrome/29")) $browser="Chrome 29";
elseif (strstr($agent,"Chrome/28")) $browser="Chrome 28";
elseif (strstr($agent,"Chrome/27")) $browser="Chrome 27";
elseif (strstr($agent,"Chrome/26")) $browser="Chrome 26";
elseif (strstr($agent,"Chrome/25")) $browser="Chrome 25";
elseif (strstr($agent,"Chrome/24")) $browser="Chrome 24";
elseif (strstr($agent,"Chrome/23")) $browser="Chrome 23";
elseif (strstr($agent,"Chrome/22")) $browser="Chrome 22";
elseif (strstr($agent,"Chrome/21")) $browser="Chrome 21";
elseif (strstr($agent,"Chrome/20")) $browser="Chrome 20";
elseif (strstr($agent,"Chrome/19")) $browser="Chrome 19";
elseif (strstr($agent,"Chrome/18")) $browser="Chrome 18";
elseif (strstr($agent,"Chrome/17")) $browser="Chrome 17";
elseif (strstr($agent,"Chrome/16")) $browser="Chrome 16";
elseif (strstr($agent,"Chrome/15")) $browser="Chrome 15";
elseif (strstr($agent,"Chrome/14")) $browser="Chrome 14";
elseif (strstr($agent,"Chrome/13")) $browser="Chrome 13";
elseif (strstr($agent,"Chrome/12")) $browser="Chrome 12";
elseif (strstr($agent,"Chrome/11")) $browser="Chrome 11";
elseif (strstr($agent,"Chrome/10")) $browser="Chrome 10";
elseif (strstr($agent,"Chrome")) $browser="Chrome";
elseif (strstr($agent,"OS X 10.14")) $browser="Safari 11";
elseif (strstr($agent,"OS X 10.13")) $browser="Safari 11";
elseif (strstr($agent,"OS X 10.12")) $browser="Safari 11";
elseif (strstr($agent,"OS X 10.11")) $browser="Safari 11";
elseif (strstr($agent,"Safari/603")) $browser="Safari 10";
elseif (strstr($agent,"Safari/602")) $browser="Safari 10";
elseif (strstr($agent,"Safari/601")) $browser="Safari 9";
elseif (strstr($agent,"Safari/600")) $browser="Safari 8";
elseif (strstr($agent,"Safari/538")) $browser="Safari 8";
elseif (strstr($agent,"Safari/537.85.17")) $browser="Safari 7.1";
elseif (strstr($agent,"Safari/537.78.2")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.77.4")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.76.4")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.75.14")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.73.11")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.71")) $browser="Safari 7";
elseif (strstr($agent,"Safari/537.85.17")) $browser="Safari 6.2.8";
elseif (strstr($agent,"Safari/537.78.2")) $browser="Safari 6.1";
elseif (strstr($agent,"Safari/537.73.11")) $browser="Safari 6.1";
elseif (strstr($agent,"Safari/537.43.58")) $browser="Safari 6.1";
elseif (strstr($agent,"Safari/536")) $browser="Safari 6";
elseif (strstr($agent,"Safari/534")) $browser="Safari 5.1";
elseif (strstr($agent,"Safari/533")) $browser="Safari 5.0";
elseif (strstr($agent,"Safari/531")) $browser="Safari 4";
elseif (strstr($agent,"Safari/530")) $browser="Safari 4";
elseif (strstr($agent,"Safari/528")) $browser="Safari 4";
elseif (strstr($agent,"Safari/526")) $browser="Safari 4";
elseif (strstr($agent,"Safari/525")) $browser="Safari 3";
elseif (strstr($agent,"Safari/523")) $browser="Safari 3";
elseif (strstr($agent,"Safari/522")) $browser="Safari 3";
elseif (strstr($agent,"Safari/419")) $browser="Safari 2";
elseif (strstr($agent,"Safari/417")) $browser="Safari 2";
elseif (strstr($agent,"Safari/416")) $browser="Safari 2";
elseif (strstr($agent,"Safari/412")) $browser="Safari 2";
elseif (strstr($agent,"Safari/312")) $browser="Safari 1";
elseif (strstr($agent,"Safari")) $browser="Safari";
elseif (strstr($agent,"Opera 60")) $browser="Opera 60";
elseif (strstr($agent,"Opera 59")) $browser="Opera 59";
elseif (strstr($agent,"Opera 58")) $browser="Opera 58";
elseif (strstr($agent,"Opera 57")) $browser="Opera 57";
elseif (strstr($agent,"Opera 56")) $browser="Opera 56";
elseif (strstr($agent,"Opera 55")) $browser="Opera 55";
elseif (strstr($agent,"Opera 54")) $browser="Opera 54";
elseif (strstr($agent,"Opera 53")) $browser="Opera 53";
elseif (strstr($agent,"Opera 52")) $browser="Opera 52";
elseif (strstr($agent,"Opera 51")) $browser="Opera 51";
elseif (strstr($agent,"Opera 50")) $browser="Opera 50";
elseif (strstr($agent,"Opera 49")) $browser="Opera 49";
elseif (strstr($agent,"Opera 48")) $browser="Opera 48";
elseif (strstr($agent,"Opera 47")) $browser="Opera 47";
elseif (strstr($agent,"Opera 46")) $browser="Opera 46";
elseif (strstr($agent,"Opera 45")) $browser="Opera 45";
elseif (strstr($agent,"Opera 44")) $browser="Opera 44";
elseif (strstr($agent,"Opera 43")) $browser="Opera 43";
elseif (strstr($agent,"Opera 42")) $browser="Opera 42";
elseif (strstr($agent,"Opera 41")) $browser="Opera 41";
elseif (strstr($agent,"Opera 40")) $browser="Opera 40";
elseif (strstr($agent,"Opera 39")) $browser="Opera 39";
elseif (strstr($agent,"Opera 38")) $browser="Opera 38";
elseif (strstr($agent,"Opera 37")) $browser="Opera 37";
elseif (strstr($agent,"Opera 36")) $browser="Opera 36";
elseif (strstr($agent,"Opera 35")) $browser="Opera 35";
elseif (strstr($agent,"Opera 34")) $browser="Opera 34";
elseif (strstr($agent,"Opera 33")) $browser="Opera 33";
elseif (strstr($agent,"Opera 32")) $browser="Opera 32";
elseif (strstr($agent,"Opera 31")) $browser="Opera 31";
elseif (strstr($agent,"Opera 30")) $browser="Opera 30";
elseif (strstr($agent,"Opera 29")) $browser="Opera 29";
elseif (strstr($agent,"Opera 28")) $browser="Opera 28";
elseif (strstr($agent,"Opera 27")) $browser="Opera 27";
elseif (strstr($agent,"Opera 26")) $browser="Opera 26";
elseif (strstr($agent,"Opera 25")) $browser="Opera 25";
elseif (strstr($agent,"Opera 24")) $browser="Opera 24";
elseif (strstr($agent,"Opera 23")) $browser="Opera 23";
elseif (strstr($agent,"Opera 22")) $browser="Opera 22";
elseif (strstr($agent,"Opera 21")) $browser="Opera 21";
elseif (strstr($agent,"Opera 20")) $browser="Opera 20";
elseif (strstr($agent,"Opera 19")) $browser="Opera 19";
elseif (strstr($agent,"Opera 18")) $browser="Opera 18";
elseif (strstr($agent,"Opera 17")) $browser="Opera 17";
elseif (strstr($agent,"Opera 16")) $browser="Opera 16";
elseif (strstr($agent,"Opera 15")) $browser="Opera 15";
elseif (strstr($agent,"Opera 12.18")) $browser="Opera 12.18";
elseif (strstr($agent,"Opera 12.17")) $browser="Opera 12.17";
elseif (strstr($agent,"Opera 12.16")) $browser="Opera 12.16";
elseif (strstr($agent,"Opera 12.14")) $browser="Opera 12.14";
elseif (strstr($agent,"Opera 12.02")) $browser="Opera 12.02";
elseif (strstr($agent,"Opera 12.00")) $browser="Opera 12.00";
elseif (strstr($agent,"Opera 11.62")) $browser="Opera 11.62";
elseif (strstr($agent,"Opera 11.52")) $browser="Opera 11.52";
elseif (strstr($agent,"Opera 11.51")) $browser="Opera 11.51";
elseif (strstr($agent,"Opera 11.00")) $browser="Opera 11.0";
elseif (strstr($agent,"Opera 10.7")) $browser="Opera 10.7";
elseif (strstr($agent,"Opera 10.6")) $browser="Opera 10.6";
elseif (strstr($agent,"Opera 10.5")) $browser="Opera 10.5";
elseif (strstr($agent,"Opera/9.7")) $browser="Opera 9.7";
elseif (strstr($agent,"Opera/9.6")) $browser="Opera 9.6";
elseif (strstr($agent,"Opera/9.5")) $browser="Opera 9.5";
elseif (strstr($agent,"Opera/9.4")) $browser="Opera 9.4";
elseif (strstr($agent,"Opera/9.3")) $browser="Opera 9.3";
elseif (strstr($agent,"Opera/9.2")) $browser="Opera 9.2";
elseif (strstr($agent,"Opera/9.1")) $browser="Opera 9.1";
elseif (strstr($agent,"Opera/9.0")) $browser="Opera 9.0";
elseif (strstr($agent,"Opera 9")) $browser="Opera 9";
elseif (strstr($agent,"Opera 8")) $browser="Opera 8";
elseif (strstr($agent,"Opera 7")) $browser="Opera 7";
elseif (strstr($agent,"Opera")) $browser="Opera";
elseif (strstr($agent,"Presto/2.9.181")) $browser="Opera 12";
elseif (strstr($agent,"Presto/2.9.168")) $browser="Opera 11";
elseif (strstr($agent,"Presto/2.8")) $browser="Opera 11";
elseif (strstr($agent,"Presto/2.7")) $browser="Opera 11";
elseif (strstr($agent,"Presto/2.6")) $browser="Opera 10";
elseif (strstr($agent,"Presto/2.5")) $browser="Opera 10";
elseif (strstr($agent,"Presto/2.2")) $browser="Opera 10";
elseif (strstr($agent,"Presto/9.9")) $browser="Opera 9.9";
elseif (strstr($agent,"Presto/2.4")) $browser="Opera 9";
elseif (strstr($agent,"Presto/2.2")) $browser="Opera 9";
elseif (strstr($agent,"Presto/2.1")) $browser="Opera 9";
elseif (strstr($agent,"Presto/9.5")) $browser="Opera 9";
elseif (strstr($agent,"Presto/2.2")) $browser="Opera 9";
elseif (strstr($agent,"Presto")) $browser="Opera";
elseif (strstr($agent,"AOL 9.7")) $browser="AOL 9.7";
elseif (strstr($agent,"AOL 9.6")) $browser="AOL 9.6";
elseif (strstr($agent,"AOL 9.5")) $browser="AOL 9.5";
elseif (strstr($agent,"AOL 9.1")) $browser="AOL 9.1";
elseif (strstr($agent,"AOL 9.0")) $browser="AOL 9.0";
elseif (strstr($agent,"AOL 8.0")) $browser="AOL 8.0";
elseif (strstr($agent,"AOL 7.0")) $browser="AOL 7.0";
elseif (strstr($agent,"AOL 6.0")) $browser="AOL 6.0";
elseif (strstr($agent,"AOL 5.0")) $browser="AOL 5.0";
elseif (strstr($agent,"AOL 4.0")) $browser="AOL 4.0";
elseif (strstr($agent,"AOL")) $browser="AOL";
elseif (strstr($agent,"Netscape/9")) $browser="Netscape 9";
elseif (strstr($agent,"Navigator/9")) $browser="Netscape 9";
elseif (strstr($agent,"Netscape/8")) $browser="Netscape 8";
elseif (strstr($agent,"Netscape/7")) $browser="Netscape 7";
elseif (strstr($agent,"Netscape")) $browser="Netscape";
elseif (strstr($agent,"Avant Browser")) $browser="Avant";
return $browser;
}

$osX=os();if($osX == ""){$osX=$devicedata14;}else{$osX=$osX;}
$browserX=browser();if($browserX == ""){$browserX=$devicedata14;}else{$browserX=$browserX;}

include("./../function/timestamp.inc.php");
$devicedatachecktimeT=$timestamp;
$devicedatachecktimeD=$timestampZ;

$savefile="./../".$SYSD."/check-devicedata.inc.php";
$savedataX="<?PHP 
\$devicedatachecktimeD='$devicedatachecktimeD';
\$devicedatachecktimeT='$devicedatachecktimeT';
\$devicecheckFalse='0';
?>";
$handle=fopen($savefile, "w");
fwrite($handle,$savedataX);
fclose($handle);
?>

<script>
var flashinstalled = 0;
var flashversion = 0;
MSDetect = "false";
if (navigator.plugins && navigator.plugins.length)
{
x = navigator.plugins["Shockwave Flash"];
if (x)
{
flashinstalled = 2;
if (x.description)
{
y = x.description;
flashversion = y.charAt(y.indexOf('.')-1);
}
}
else
flashinstalled = 1;
if (navigator.plugins["Shockwave Flash 2.0"])
{
flashinstalled = 2;
flashversion = 2;
}
}
else if (navigator.mimeTypes && navigator.mimeTypes.length)
{
 x = navigator.mimeTypes['application/x-shockwave-flash'];
if (x && x.enabledPlugin)
flashinstalled = 2;
else
flashinstalled = 1;
}
else
MSDetect = "true";
</script>

<script>
on error resume next
If MSDetect = "true" Then
For i = 2 to 6
If Not(IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash." & i))) Then
Else
flashinstalled = 2
flashversion = i
End If
Next
If flashinstalled = 0 Then
flashinstalled = 1
End If
End If
</script>

<div class="box-body">
<table class="col-md-12 table table-bordered table-condensed">
<tr class="trcolor">
<th class="font18"><?PHP echo $areaX;?></th>
<th class="font18 txtR"><?PHP echo $resultX;?></th>
</tr>

<tr class="menu-out2">
<td><?PHP echo $checkdate1;?>:</td>
<td class="txtR"><?PHP echo $timestampZ;?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $ownip;?>:</td>
<td class="txtR"><?PHP echo $Xownip;?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata02;?>:</td>
<td class="txtR"><?PHP echo $osX;?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata03;?>:</td>
<td class="txtR"><script><!--
document.write(navigator.platform);
//--></script> <?PHP echo " / ".php_uname('m');?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata04;?>:</td>
<td class="txtR"><script><!--
document.write(screen.width + ' x ' + screen.height);
//--></script></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata05;?>:</td>
<td class="txtR"><script><!--
document.write(screen.colorDepth + ' bit');
//--></script></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata06;?>:</td>
<td class="txtR"><?PHP echo $browserX;?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata07;?>:</td>
<td class="txtR"><?PHP echo $checklanguage;?></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata08;?>:</td>
<td class="txtR"><script><!--
if(navigator.cookieEnabled==true) document.write('<?PHP echo "<span class=\"resT\">".$activeX."</span>";?>'); else document.write('<?PHP echo "<span class=\"resF\">".$deactiveX."</span>";?>');
//--></script></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata09;?>:</td>
<td class="txtR"><script><!--
document.write('<?PHP echo "<span class=\"resT\">".$activeX."</span>";?>');
//-->
</script><noscript><?PHP echo "<span class=\"resF\">".$deactiveX."</span>";?></noscript></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata10;?>:</td>
<td class="txtR"><script><!--
if(navigator.javaEnabled()==true) document.write('<?PHP echo "<span class=\"resT\">".$activeX."</span>";?>'); else document.write('<?PHP echo "<span class=\"resF\">".$deactiveX."</span>";?>');
//--></script></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata12;?>:</td>
<td class="txtR"><script src="../styles/js/flashcheck-<?PHP echo $tlanguage;?>.js"></script></td>
</tr>

<tr class="menu-out2">
<td><?PHP echo $devicedata11;?>:</td>
<td class="txtR"><?PHP echo $checkuseragent;?></td>
</tr>

</table>
<div class="clearX box-footer"><?PHP echo $noguarantee1;?></div>
</div>
